Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » e(fx)clipse doesn't work well(CSS Editor / JavaFX SDK library / Eclipse 2019-09 / openJDK 11 nothing work.)
e(fx)clipse doesn't work well [message #1824087] Tue, 07 April 2020 16:23 Go to next message
Héctor Hernández is currently offline Héctor HernándezFriend
Messages: 1
Registered: April 2020
Junior Member
Hi every one:

I installed e(fx)clipse on my eclipse 2019-09 using the Tom's tutorial, but it seems doesn't work well.

1.- The JavaFX SDK library doesn't have any effect on the project classpath.
2.- The CSS editor not show the auto-complete menu for "-fx-" properties.

I'd tried using java11, 12, 13 but without luck.

I tell your worse, if I set jre8 like default, it works perfectly, but who is using java 8 yet? ....

any advice for this poor confused programmer?

Thx
Re: e(fx)clipse doesn't work well [message #1824153 is a reply to message #1824087] Wed, 08 April 2020 18:18 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6570
Registered: July 2009
Senior Member
On classpath/compilation:
* So the tutorial i wrote for PDE based OSGi-Applications are we talking about that (I doubt because you talk ab JavaFX SDK library)
* If we talk about plain old java projects I highly recommend to use maven or gradle everything else is not really a feasable way forward

On CSS-Editor:
* Yeah we need to find a way to get the correct cssext-File on the classpath but I have not really a good idea how this could should work with maven/gradle
Re: e(fx)clipse doesn't work well [message #1824291 is a reply to message #1824153] Mon, 13 April 2020 05:34 Go to previous messageGo to next message
Andrew Scott is currently offline Andrew ScottFriend
Messages: 5
Registered: April 2020
Junior Member
I too am having this issue. What if we do not want to use Maven or Gradle? After all the JavaFX SDK is installed on our very machine and therefore Maven and Gradle should rightly be unnecessary. I hate to have to install extra things because your plug-in has not been updated to work smoothly on its own with any Java FX SDK beyond 8. Please make fixing this your topE(FX)Clipse project priority. I guarantee you there is probably many more of us with this issue not reporting it and migrating to Intelli-J.

I think the issue is of enough importance that it will negatively affect not only the adoption of E(FX)Clipse, but also the use of Eclipse as a whole for the development of a modern Java graphical user interfaces.
Re: e(fx)clipse doesn't work well [message #1824349 is a reply to message #1824291] Tue, 14 April 2020 08:39 Go to previous messageGo to next message
Tomasz Sieduszewski is currently offline Tomasz SieduszewskiFriend
Messages: 1
Registered: April 2020
Junior Member
Hi guys, I also had a problem with e(fx)clipse in Eclipse - because there is many solutions in the Internet (some of them work, some of them not) I want to share a my solution. It is based on the installaton guides that I found in Google, but most importantly that it works.

IMPORTANT: this instruction working for sure with Eclipse EE 2020-03 and JDK13 (during my search for answers I was deperate to find the solution, that I have installed many versions of Eclipse: 2019-09, 2019-03, even Oxygen. Finally I've installed 2020-03 EE, and because instruction below worked, I have not tested it on other versions of Eclipse - but I hope it works too.

1. Install e(fx)clipse according to this web page: https://www.eclipse.org/efxclipse/install.html#for-the-ambitious

a) in "Install new software" wizzard you should add the new site location to found proper software. Use "Add" button in "name" section type "e(fx)clipse (or anything you want, it does not matter). In "location" section type: https://download.eclipse.org/efxclipse/updates-nightly/site/
b) after using search button you should found two applications: e(fx)clipse-install and e(fx)clipse - single components - install them all
c) after intallation Eclipse will restart

2. Download Java FX from: gluonhq.com/products/javafx/ (I have used JFX14)

3. Extract downloaded pack and REMEBER THE LOCATION OF EXTRACTED FILES (it is very important).

4. In Eclipse run Window -> Preferences -> Java -> Build Path -> User Libraries. Click "Add" and name it "JavaFX14" (or whatever you like).

5. One-click on the newly added library, and click "Add external Jars". Find the files that you downloaded (that from step 3) and find folder named "lib" (in my case was "C:\Java\openjfx-14_windows-x64_bin-sdk\javafx-sdk-14\lib). Select all JAR files (in folder should be JAR files and one ZIP Archiwe so watch out).

6. Click Apply and close.

7. Run Window -> Preferences -> Java -> Installed JRE's. Click on the your active JDK and click "Edit" button.

8. In "Default VM arguments" section type:
--module-path [LOCATION OF THE DOWNLOADED FILES FROM STEP 3]\lib --add-modules=ALL-MODULE-PATH

In my case it was: --module-path C:\Java\openjfx-14_windows-x64_bin-sdk\lib --add-modules=ALL-MODULE-PATH

Notice that location address leads to "lib" folder - do not forget it!

9. Done!

Now when you will create a new Java Project (classic Java Project, not FX or something) you must remember only one thing. After setting project name, location etc. do not click "Finish" button. Click "Next" button. Click on "Libraries" bookmark, then ONE-CLICK ON THE MODULEPATH (it is very important). Now click "Add library" / User libraries and choose previously created library. It should appear your library on the list of modulespath. Click Finish and enjoy of your project with JavaFX. This step should be repeated every time when you want to create a new java project. But inside the project you don't need to do anything. You can add a classes, interfaces etc. and testing it by "Run button" (no Run configuration or something!)

PS. Sorry for my english - still learning.
Re: e(fx)clipse doesn't work well [message #1824351 is a reply to message #1824291] Tue, 14 April 2020 08:50 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6570
Registered: July 2009
Senior Member
I fully understand your frustration but:
* efxclipse-ide is a part time project (mostly unpaid)
* the adviced & documented way to use JavaFX-11+ is to use maven/gradle as it is not part of the JDK anymore and should be treated as any other library - for eclipse that means you need to have m2e installed

I'm swapped with other work so I can not promise to get that fixed very soon. If there's no ticket yet filed on github (https://github.com/eclipse-efx/efxclipse-eclipse/issues) please at least file one, I promise that the next time I have time to investigate e(fx)clipse IDE issues I take a look. BTW: I doubt that you can use JavaFX11+ on IntelliJ without maven/gradle but I could be completely wrong.
Re: e(fx)clipse doesn't work well [message #1824475 is a reply to message #1824153] Wed, 15 April 2020 20:40 Go to previous message
Alex Cameron is currently offline Alex CameronFriend
Messages: 2
Registered: March 2020
Junior Member
Hi Thomas, are you telling me that if I instal maven, and the M2Eclipse integraton, I should be able to get the CSS editing working?
Previous Topic:Pure maven/gradle application development status?
Next Topic:SHARED GL CONTEXTS
Goto Forum:
  


Current Time: Tue Oct 20 01:58:17 GMT 2020

Powered by FUDForum. Page generated in 0.02156 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top